org.apache.ivy.plugins.repository.url

## Class ChainedRepository

- java.lang.Object
- - org.apache.ivy.plugins.repository.AbstractRepository
  - - org.apache.ivy.plugins.repository.url.ChainedRepository

All Implemented Interfaces:
  Repository

    public class ChainedRepository
    extends AbstractRepository

### Constructor Summary

Constructors
Constructor and Description
`ChainedRepository()`

### Method Summary

Methods
`void` `get(java.lang.String source, java.io.File destination)` Fetch a resource from the repository.
`Resource` `getResource(java.lang.String source)` Return the resource associated with a specified identifier.
`java.util.List` `list(java.lang.String parent)` Return a listing of resources names
`void` `setRepositories(java.util.List repositories)`

### Methods inherited from class org.apache.ivy.plugins.repository.AbstractRepository

`addTransferListener, fireTransferCompleted, fireTransferCompleted, fireTransferError, fireTransferError, fireTransferEvent, fireTransferInitiated, fireTransferProgress, fireTransferStarted, fireTransferStarted, getFileSeparator, getName, hasTransferListener, put, put, removeTransferListener, setName, standardize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChainedRepository

    public ChainedRepository()

### Method Detail

#### setRepositories

    public void setRepositories(java.util.List repositories)

#### getResource

    public Resource getResource(java.lang.String source)
                         throws java.io.IOException

Description copied from interface: `Repository`
Return the resource associated with a specified identifier. If the resource does not exist, it should return a Resource with exists() returning false. An IOException should only be thrown when a real IO problem occurs, like the impossibility to connect to a server.

Parameters:
  `source` - A string identifying the resource.
Returns:
  The resource associated with the resource identifier.
Throws:
  `java.io.IOException` - On error while trying to get resource.

#### get

    public void get(java.lang.String source,
           java.io.File destination)
             throws java.io.IOException

Description copied from interface: `Repository`
Fetch a resource from the repository.

Parameters:
  `source` - A string identifying the resource to be fetched.
  `destination` - Where to place the fetched resource.
Throws:
  `java.io.IOException` - On retrieval failure.

#### list

    public java.util.List list(java.lang.String parent)
                        throws java.io.IOException

Description copied from interface: `Repository`
Return a listing of resources names

Parameters:
  `parent` - The parent directory from which to generate the listing.
Returns:
  A listing of the parent directory's file content, as a List of String.
Throws:
  `java.io.IOException` - On listing failure.